# List Transactions

## cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/transactions \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/transactions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

## Response Status Codes

- **200**
- **4XX**
- **5XX**

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "description": "<string>",
      "amount": 123,
      "paid": 123,
      "currencyPaid": "<string>",
      "entityId": "<string>",
      "transactionTypeId": "<string>",
      "appliedDate": "2023-11-07T05:31:56Z",
      "transactionDate": "2023-11-07T05:31:56Z",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

## Authorization

**Authorization**  
string  
header  
required  
m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

## Path Parameters

- **orgId**  
string  
required  
The unique identifier (UUID) for your Organization. The Organization represents your company as a direct customer of our service.
- **balanceId**  
string  
required  
The unique identifier (UUID) for the Balance whose Transactions you want to retrieve.

## Query Parameters

- **pageSize**  
integer<int32>  
The maximum number of transactions to return per page.
Required range: `1 <= x <= 200`
- **nextToken**  
string  
`nextToken` for multi-page retrievals. A token for retrieving the next page of transactions. You'll get this from the response to your request.
- **transactionTypeId**  
string | null  
- **entityType**  
enum<string> | null  
Available options:  
`BILL`,  
`COMMITMENT`,  
`USER`,  
`SERVICE_USER`,  
`SCHEDULER`
- **entityId**  
string | null

## Response

### 200 Response
**Content-Type:** application/json  
Returns the list of Balance Transactions

```json
    {
      "data": [
        // show child attributes
      ],
      "nextToken": "<string>"
    }
```
